Bug 622002 - Review Request: emacs-rinari - Ruby on rails minor mode for emacs
Review Request: emacs-rinari - Ruby on rails minor mode for emacs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 14:13 EDT by Arun S A G
Modified: 2010-08-25 23:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: emacs-rinari-2.1-4.20100815git.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 17:03:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Arun S A G 2010-08-06 14:13:51 EDT
Spec URL: http://sagarun.fedorapeople.org/SPECS/emacs-rinari.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/emacs-rinari-2.1-1.20100805git.fc13.src.rpm
Description: Rinari is a set of Emacs Lisp functions aimed towards 
making Emacs into a top-notch Ruby on Rails development environment.
Comment 1 Shakthi Kannan 2010-08-13 01:41:38 EDT
#001: In "Summary:", for nouns, please use "Ruby on Rails" and "Emacs".

#002: For your comments, please give a newline above and below, and give a white-space after '#' as in:

  # The source of this package was pulled from upstream's vcs.
  # use the following command to generate the tar ball:
 
The .spec file must be readable.

#003: As per the GNU Emacs template please use:

  %global pkg foo
  %global pkgname Foo

#004: Source0 should point to a URL that is available for download. Please upload the same sources that you used for packaging at your fedorapeople.org website, and mention the URL.

#005: Use the following:

  %{__rm}
  %{__install}

#006: In emacs-rinari-init.el, please don't include ido-mode, since, it is only recommended and not required. We don't need to force it on the end user. Just use:

  ;; Init file for rinari plugin
  (add-to-list 'load-path "/usr/share/emacs/site-lisp/rinari/")
  (require 'rinari)

I have tested the package, and it works.
Comment 2 Arun S A G 2010-08-13 03:27:53 EDT
(In reply to comment #1)
> #001: In "Summary:", for nouns, please use "Ruby on Rails" and "Emacs".
> 

Ok.

> #002: For your comments, please give a newline above and below, and give a
> white-space after '#' as in:
> 
>   # The source of this package was pulled from upstream's vcs.
>   # use the following command to generate the tar ball:
> 
> The .spec file must be readable.


Ok.

> 
> #003: As per the GNU Emacs template please use:
> 
>   %global pkg foo
>   %global pkgname Foo


Sure. 

> 
> #004: Source0 should point to a URL that is available for download. Please
> upload the same sources that you used for packaging at your fedorapeople.org
> website, and mention the URL.
> 


Ok.

> #005: Use the following:
> 
>   %{__rm}
>   %{__install}
> 


This practice is discouraged, please read http://lists.fedoraproject.org/pipermail/devel/2010-March/133466.html  

> #006: In emacs-rinari-init.el, please don't include ido-mode, since, it is only
> recommended and not required. We don't need to force it on the end user. Just
> use:
> 
>   ;; Init file for rinari plugin
>   (add-to-list 'load-path "/usr/share/emacs/site-lisp/rinari/")
>   (require 'rinari)
> 

I will remove the ido-mode.

> I have tested the package, and it works.    

Thank you shakthi for the comments, i will fix the spec and update the srpm tonight.
Comment 4 Shakthi Kannan 2010-08-15 08:15:50 EDT
#001 Please remove the quotes! I used it to refer to the phrase/words that are relevant. Also 'rails' is in smaller-case in the .spec file. Please correct it.

#003 It should be:

  %global pkg rinari
  %global pkgname Rinari
Comment 5 Shakthi Kannan 2010-08-15 09:09:41 EDT
#007 Why so many redundant entries?

  %dir %{_emacs_sitelispdir}/%{pkg}
  %dir %{_emacs_sitelispdir}/%{pkg}/util/
  %dir %{_emacs_sitelispdir}/%{pkg}/util/jump/

Use:

  %dir %{_emacs_sitelispdir}/%{pkg}/

This will include the tree under it.

#008 Why is this required? 

  %dir %{_emacs_sitestartdir}/

This is owned by emacs-common.
Comment 7 Shakthi Kannan 2010-08-15 10:12:15 EDT
#007 If you need to include the whole tree under the directory, you will need to include the trailing '/'
Comment 9 Shakthi Kannan 2010-08-15 12:23:03 EDT
#009 There is a spelling mistake 'instillation' in the README file. Please fix that.

Here is the review:

 +:ok, NA: not applicable

MUST Items:
[+] MUST: rpmlint output

$ rpmlint emacs-rinari.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint emacs-rinari-2.1-4.20100815git.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint emacs-rinari-2.1-4.20100815git.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[NA] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

87ad3ecbbea0a4bfbf75d4c00b9123f1  rinari-20100815.tar.bz2

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's
default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

Package approved.
Comment 10 Arun S A G 2010-08-15 12:31:15 EDT
New Package CVS Request
=======================
Package Name: emacs-rinari
Short Description: Ruby on rails minor mode for emacs
Owners: sagarun
Branches: F-12 F-13
Comment 11 Kevin Fenzi 2010-08-15 20:18:06 EDT
Git done (by process-git-requests).
Comment 12 Arun S A G 2010-08-15 23:55:43 EDT
Package Change Request
======================
Package Name: emacs-rinari
New Branches: F-14
Owners: sagarun

[Missed to request F-14 branch]
Comment 13 Fedora Update System 2010-08-16 00:20:53 EDT
emacs-rinari-2.1-4.20100815git.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-rinari-2.1-4.20100815git.fc12
Comment 14 Fedora Update System 2010-08-16 00:22:41 EDT
emacs-rinari-2.1-4.20100815git.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/emacs-rinari-2.1-4.20100815git.fc13
Comment 15 Kevin Fenzi 2010-08-16 15:22:40 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2010-08-17 00:15:04 EDT
emacs-rinari-2.1-4.20100815git.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/emacs-rinari-2.1-4.20100815git.fc14
Comment 17 Fedora Update System 2010-08-17 01:32:28 EDT
emacs-rinari-2.1-4.20100815git.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-rinari'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emacs-rinari-2.1-4.20100815git.fc13
Comment 18 Fedora Update System 2010-08-24 17:03:08 EDT
emacs-rinari-2.1-4.20100815git.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-08-24 17:03:36 EDT
emacs-rinari-2.1-4.20100815git.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-08-25 23:23:10 EDT
emacs-rinari-2.1-4.20100815git.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.